Subject: bug#4243: Emacs 23 ido-mode vc-hg bug

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 23 Aug 2009 23:43:20 -0700 (PDT)

Tracy Reed <[email-masked]> writes:

  > When I start emacs 23.1.1 which I compiled myself from code downloaded
  > from the official site:
  > 
  > GNU Emacs 23.1.1 (x86_64-unknown-linux-gnu) of 2009-08-05 on mail.copilotco.com
  > 
  > using emacs -Q (so my .emacs and site-lisp are not involved) I run
  > into an error when I activate ido-mode and try to exit emacs with
  > ctrl-x ctrl-c. Here is what appears in my Messages buffer:
  > 
  > ("emacs" "-Q")
  > For information about GNU Emacs and the GNU system, type C-h C-a.
  > Ido mode enabled
  > Loading tramp...done
  > Quit [2 times]
  > (No files need saving)
  > Saving file /home/treed/.ido.last...
  > Loading vc-hg...done
  > Wrote /home/treed/.ido.last
  > vc-hg-registered: Args out of range: "", 0
  > 
  > I started emacs with -Q, then I did M-x ido-mode, then I did ctrl-x
  > ctrl-c. Then I get the:
  > 
  > vc-hg-registered: Args out of range: "", 0

We need to find out what calls vc-hg-registered with such arguments.

  > error. I cannot exit emacs. I have to ctrl-z and kill it.  I suspect
  > vc-hg might have been activated because my home directory is under hg
  > version control. I'm not sure why it says "Loading tramp" there. I
  > did not do anything with tramp.
  > 
  > Please advise of any fixes/workarounds or if there is any more
  > information I can provide or anything I can do to resolve this.

Can you please do:

M-x load-library RET vc.el RET
M-x load-library RET vc-hg.el RET
M-: (setq debug-on-error t) RET

this will produce a backtrace buffer, please email the contents of that
buffer.